// test01.cpp : Definiert den Einstiegspunkt fr die Anwendung.
//

#include "stdafx.h"
#include "test01.h"
#define MAX_LOADSTRING 100

#include <Vision.hpp>
#include <VisSampleApp.hpp>

// Declare a module to put all our actions into
DECLARE_THIS_MODULE(g_sampleModule, MAKE_VERSION(1,0),"Console Sample", "Trinigy", "This module contains some sample actions");

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPTSTR    lpCmdLine,
                     int       nCmdShow)
{
	// create and init our application
	VisSampleAppPtr spApp = new VisSampleApp();
	if (!spApp->InitSample("landscape"))
		return -1;

	

	// limit debug messages to 15 on screen
	Vision::Message.SetMaxNum(15);

	// resources directory
	Vision::File.AddDataDirectory("..\\res");
	Vision::File.AddDataDirectory("..\\res\\basedata");

	// load some example map
	Vision::LoadWorld("landscape_simple");

	//Enables the Mouse camara
	spApp->EnableMouseCamera(true);

	// register the action module with the vision engine action manager
	// only after that the action becomes available in the console
	VActionManager * pManager = Vision::GetActionManager();
	pManager->RegisterModule (&g_sampleModule);

	// game loop
	while (spApp->Run())
	{	
		// Klick the button Q to save a Screenshot
		if(Vision::Key.IsPressed(VGLK_Q))
			Vision::Game.SaveScreenShot();
	}

	// deinit our application
	spApp->DeInitSample();
	return 0;
}

